Bug 698964 - Broken dependency on deprecated hal
Summary: Broken dependency on deprecated hal
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ohm   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 716185
TreeView+ depends on / blocked
 
Reported: 2011-04-22 13:08 UTC by Nicola Soranzo
Modified: 2011-08-09 08:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-09 08:33:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicola Soranzo 2011-04-22 13:08:36 UTC
Description of problem:
Since HAL has been deprecated upstream for 3 years, Fedora and all major distributions are removing it:

https://fedoraproject.org/wiki/Features/HalRemoval

The hal package has already been deprecated by its maintainer and blocked from composes for rawhide.
Therefore, unless somebody volunteers to maintain hal, the following broken dependencies for your package should be removed:

ohm-0.1.1-10.23.20080921git.fc13.i686 requires libhal.so.1

If these dependencies cannot be removed, this package should probably be
deprecated as well:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Version-Release number of selected component (if applicable):
ohm-0.1.1-10.23.20080921git.fc13

Comment 1 Nicola Soranzo 2011-07-04 13:10:59 UTC
Ping?

The Feature 

https://fedoraproject.org/wiki/Features/HalRemoval

has been approved for Fedora 16. ohm seems to be dead upstream and is a leaf package, I'd suggest to deprecate it for rawhide:

https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

Comment 2 Nicola Soranzo 2011-08-09 08:33:56 UTC
The ohm package has been retired and blocked from composes for f16 and rawhide, closing this bug report.


Note You need to log in before you can comment on or make changes to this bug.